Subject: bug#51473: [PATCH] Enable xwidget scrolling optimizations, and other xwidgets improvements

From: Po Lu <[email-masked]>
Date: Sat, 06 Nov 2021 10:06:06 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> A temporary workaround is to disable sandboxing of the WebKit
>> sub-processes.  Would this be acceptable?
>
> Hm...  I'd rather not, if possible.  But if that's the only non-invasive
> fix possible...

I will try to find some other non-invasive fix.

>> Also, would it be OK to adopt such a change in the release branch?

> If Emacs 28 is segfaulting (and I assume it is, but I've only tried
> Emacs 29) on a lot of newer systems, then I guess we should.

It's not a segfault, but rather some race condition occurring in
WebKitGTK+, which causes it to invoke one of the GLib logging functions
incorrectly, which then raises SIGTRAP.

This crash also happens in Emacs 27, and also GNOME's Yelp viewer.